SoGLLinePatternElement(3)

NAME
SoGLLinePatternElement - The SoGLLinePatternElement class changes the line stipple pattern of the OpenGL render state.

SYNOPSIS

#include <Inventor/elements/SoGLLinePatternElement.h>

Inherits SoLinePatternElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLLinePatternElement ()
virtual void setElt (int32_t pattern)
Called whenever element value is set. Triggers GL update.

  Additional Inherited Members

Detailed Description

The SoGLLinePatternElement class changes the line stipple pattern of the OpenGL render state. Requests from the scene graph to change the stipple pattern when rendering OpenGL line primitives will be made through this element, which forwards it to the appropriate native OpenGL call.

Constructor & Destructor Documentation

  SoGLLinePatternElement::~SoGLLinePatternElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLLinePatternElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLLinePatternElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLLinePatternElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLLinePatternElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLLinePatternElement::init (SoState * state) [virtual]
Initializes element in state to default value.

Reimplemented from SoLinePatternElement.

  void SoGLLinePatternElement::push (SoState * state) [virtual]
Creates new element in stack.

Reimplemented from SoElement.

  void SoGLLinePatternElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
Removes element from stack.

Reimplemented from SoElement.

  void SoGLLinePatternElement::setElt (int32_t pattern) [protected], [virtual]

Called whenever element value is set. Triggers GL update.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.